if(isPackage(BrickCreationTime))
   deactivatePackage(BrickCreationTime);

package BrickCreationTime {
   
   function fxDtsBrick::onPlant(%brick)
	{
      %brick.creationTime = getRealTime();
		parent::onPlant(%brick);
	}
	
	function WrenchImage::onHitObject(%this, %obj, %slot, %col, %pos, %normal)
	{
      parent::onHitObject(%this, %obj, %slot, %col, %pos, %normal);
   
      if(%col.isPlanted) {
         %client = %obj.client;
         %client.lastWrenchedBrick = %col;
         commandToClient(%client, 'UpdateBrickTime', Brick_TimeTest(%col));
      }
	}
};

function Brick_TimeTest(%brickID)
{
   %time = getRealTime();
   %elapsed = mSub(%time, %brickID.creationTime);
   %fixed = mFloatLength(%elapsed * 0.001, 0);
   
   if(%fixed >= 60) {
      if(%fixed >= 3600) {
         %minutes = %fixed / 60;
         %hours = mFloor(%minutes / 60);
         %hours = mFloatLength(%hours, 0);
         if(%hours == 1) {
            return "   Brick created" SPC %hours SPC "hour ago.";
         } else {
            if(%hours >= 24) {
               %days = mFloatLength(%hours / 24, 0);
               if(%hours <= 168) {
                  %days = mFloatLength(%hours / 24, 0);
                  %weeks = mFloatLength(%days / 7, 0);
                  return "   Brick created" SPC %days SPC "weeks(s) ago.";
               }
               %days = mFloatLength(%hours / 24, 0);
               return "   Brick created" SPC %days SPC "day(s) ago.";
            }
         }
      } else {
         %minutes = %fixed / 60;
         return "   Brick created" SPC mFloatLength(%minutes, 0) SPC "minute(s) ago.";
      }
   } else {
      return "   Brick created" SPC %fixed SPC "seconds ago.";
   }
}

function serverCmdBrick_AjaxType(%client)
{
   if(!isObject(%client.lastWrenchedBrick))
      return;
      
   commandToClient(%client, 'UpdateBrickTime', Brick_TimeTest(%client.lastWrenchedBrick));
}

function mSub(%num1, %num2)
{
   %num = %num1 - %num2;
   
   return %num;
}

activatePackage(BrickCreationTime);